Registry Data Containers - List
データコンテナを一覧表示します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/registries/{registryName}/data?api-version=2025-12-01&$skip={$skip}&listViewType={listViewType}
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
registry
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{2,32}$ |
Azure Machine Learning レジストリの名前。 これは大文字と小文字を区別しません |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前は大文字と小文字が区別されます。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
|
$skip
|
query |
string |
改ページ位置の継続トークン。 |
|
|
list
|
query |
アーカイブされたエンティティを含める/除外する (たとえば) 種類を表示します。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Azure 操作は正常に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
RegistryList Registry Data Container.
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/registries/registryName/data?api-version=2025-12-01&listViewType=All
応答のサンプル
{
"nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/registries/registries123/data?api-version=2025-07-01-preview&$skip=2",
"value": [
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"dataType": "uri_folder",
"isArchived": false,
"latestVersion": "string",
"nextVersion": "string",
"properties": {
"string": "string"
},
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:15",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:15",
"lastModifiedBy": "string",
"lastModifiedByType": "ManagedIdentity"
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
created |
リソースを作成した ID の種類。 |
|
Data |
Azure Resource Manager リソース エンベロープ。 |
|
Data |
データ資産バージョンのコンテナー。 |
|
Data |
DataContainer エンティティのページ分割されたリスト。 |
|
Data |
データの型を決定する列挙型。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
List |
アーカイブされたエンティティを含める/除外する (たとえば) 種類を表示します。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataContainer
Azure Resource Manager リソース エンベロープ。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties |
[必須]エンティティの追加の属性。 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
DataContainerProperties
データ資産バージョンのコンテナー。
| 名前 | 型 | 規定値 | 説明 |
|---|---|---|---|
| dataType |
[必須]データの種類を指定します。 |
||
| description |
string |
資産の説明テキスト。 |
|
| isArchived |
boolean |
False |
資産はアーカイブされていますか? |
| latestVersion |
string |
このコンテナ内の最新バージョン。 |
|
| nextVersion |
string |
次の自動増分バージョン |
|
| properties |
object |
資産プロパティ ディクショナリ。 |
|
| tags |
object |
タグ ディクショナリ。 タグは追加、削除、更新できます。 |
DataContainerResourceArmPaginatedResult
DataContainer エンティティのページ分割されたリスト。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string (uri) |
アイテムの次のページへのリンク |
| value |
このページのDataContainer項目 |
DataType
データの型を決定する列挙型。
| 値 | 説明 |
|---|---|
| uri_file | |
| uri_folder | |
| mltable |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
ListViewType
アーカイブされたエンティティを含める/除外する (たとえば) 種類を表示します。
| 値 | 説明 |
|---|---|
| ActiveOnly | |
| ArchivedOnly | |
| All |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |